// REVISION    : $Revision: 1.2 $
// Mentor Graphics Corporation Proprietary and Confidential
// Copyright 2007 Mentor Graphics Corporation and Licensors
`timescale 1ps/1ps
module
CoreTSE_M2S090_CORETSE_AHB_0_PEANX_SYNC
(
CORETSEli0I
,
CORETSEOIol
,
CORETSEOIo0
,
CORETSEIOo0
,
CORETSEIIo0
,
CORETSEO0o0
,
CORETSEI0o0
,
CORETSEIOi0
,
CORETSElOi0
,
CORETSEI1o0
,
CORETSEl1o0
,
CORETSEo1o0
,
CORETSEOoo0
,
CORETSEIoo0
,
CORETSEoOi0
,
CORETSEl0OI
,
CORETSEIiI1
,
CORETSEliI1
,
CORETSEoiI1
,
CORETSEiiI1
,
CORETSEOOl1
,
CORETSEIOl1
,
CORETSElOl1
,
CORETSEoOl1
,
CORETSEiOl1
,
CORETSEOIl1
,
CORETSEIIl1
,
CORETSElIl1
,
CORETSEoIl1
,
CORETSEiIl1
,
CORETSEIio0
,
CORETSEOll1
)
;
input
CORETSEli0I
;
input
CORETSEOIol
;
input
CORETSEOIo0
;
input
CORETSEIOo0
;
input
CORETSEIIo0
;
input
CORETSEO0o0
;
input
CORETSEI0o0
;
input
CORETSEIOi0
;
input
CORETSElOi0
;
input
CORETSEI1o0
;
input
CORETSEl1o0
;
input
CORETSEo1o0
;
input
CORETSEOoo0
;
input
CORETSEIoo0
;
input
CORETSEoOi0
;
input
CORETSEl0OI
;
output
CORETSEIiI1
;
output
CORETSEoiI1
;
output
CORETSEliI1
;
output
CORETSEiiI1
;
output
CORETSEOOl1
;
output
CORETSEIOl1
;
output
CORETSElOl1
;
output
CORETSEoOl1
;
output
CORETSEiOl1
;
output
CORETSEOIl1
;
output
CORETSEIIl1
;
output
CORETSElIl1
;
output
CORETSEoIl1
;
output
CORETSEiIl1
;
output
CORETSEIio0
;
output
CORETSEOll1
;
reg
CORETSEIiI1
;
reg
CORETSEoiI1
;
reg
CORETSEliI1
;
reg
CORETSEiiI1
;
reg
CORETSEOOl1
;
reg
CORETSEIOl1
;
reg
CORETSElOl1
;
reg
CORETSEoOl1
;
reg
CORETSEiOl1
;
reg
CORETSEOIl1
;
reg
CORETSEIIl1
;
reg
CORETSElIl1
;
reg
CORETSEoIl1
;
reg
CORETSEiIl1
;
reg
CORETSEIio0
;
reg
CORETSEOll1
;
parameter
CORETSEOII
=
1
;
parameter
FAMILY
=
19
;
reg
CORETSEIll1
;
reg
CORETSElll1
;
reg
CORETSEoll1
;
reg
CORETSEill1
;
reg
CORETSEO0l1
;
reg
CORETSEI0l1
;
reg
CORETSEl0l1
;
reg
CORETSEo0l1
;
reg
CORETSEi0l1
;
reg
CORETSEO1l1
;
reg
CORETSEI1l1
;
reg
CORETSEl1l1
;
reg
CORETSEo1l1
;
reg
CORETSEi1l1
;
wire
CORETSElo1
;
wire
CORETSEoo1
;
assign
CORETSElo1
=
(
FAMILY
==
25
)
?
1
'b
0
:
CORETSEl0OI
;
assign
CORETSEoo1
=
(
FAMILY
==
25
)
?
CORETSEl0OI
:
1
'b
0
;
always
@
(
posedge
CORETSEli0I
or
posedge
CORETSElo1
)
begin
if
(
CORETSEoo1
||
CORETSElo1
)
CORETSEIll1
<=
#
CORETSEOII
1
'b
0
;
else
CORETSEIll1
<=
#
CORETSEOII
CORETSEO0o0
;
end
always
@
(
posedge
CORETSEli0I
or
posedge
CORETSElo1
)
begin
if
(
CORETSEoo1
||
CORETSElo1
)
CORETSEIOl1
<=
#
CORETSEOII
1
'b
0
;
else
CORETSEIOl1
<=
#
CORETSEOII
CORETSEIll1
;
end
always
@
(
posedge
CORETSEli0I
or
posedge
CORETSElo1
)
begin
if
(
CORETSEoo1
||
CORETSElo1
)
CORETSElOl1
<=
#
CORETSEOII
1
'b
0
;
else
CORETSElOl1
<=
#
CORETSEOII
CORETSEIOl1
;
end
always
@
(
posedge
CORETSEli0I
or
posedge
CORETSElo1
)
begin
if
(
CORETSEoo1
||
CORETSElo1
)
CORETSElll1
<=
#
CORETSEOII
1
'b
0
;
else
CORETSElll1
<=
#
CORETSEOII
CORETSEI0o0
;
end
always
@
(
posedge
CORETSEli0I
or
posedge
CORETSElo1
)
begin
if
(
CORETSEoo1
||
CORETSElo1
)
CORETSEoOl1
<=
#
CORETSEOII
1
'b
0
;
else
CORETSEoOl1
<=
#
CORETSEOII
CORETSElll1
;
end
always
@
(
posedge
CORETSEli0I
or
posedge
CORETSElo1
)
begin
if
(
CORETSEoo1
||
CORETSElo1
)
CORETSEoll1
<=
#
CORETSEOII
1
'b
0
;
else
CORETSEoll1
<=
#
CORETSEOII
CORETSEIoo0
;
end
always
@
(
posedge
CORETSEli0I
or
posedge
CORETSElo1
)
begin
if
(
CORETSEoo1
||
CORETSElo1
)
CORETSEOll1
<=
#
CORETSEOII
1
'b
0
;
else
CORETSEOll1
<=
#
CORETSEOII
CORETSEoll1
;
end
always
@
(
posedge
CORETSEli0I
or
posedge
CORETSElo1
)
begin
if
(
CORETSEoo1
||
CORETSElo1
)
CORETSEill1
<=
#
CORETSEOII
1
'b
0
;
else
CORETSEill1
<=
#
CORETSEOII
CORETSEoOi0
;
end
always
@
(
posedge
CORETSEli0I
or
posedge
CORETSElo1
)
begin
if
(
CORETSEoo1
||
CORETSElo1
)
CORETSEIio0
<=
#
CORETSEOII
1
'b
0
;
else
CORETSEIio0
<=
#
CORETSEOII
CORETSEill1
;
end
always
@
(
posedge
CORETSEli0I
or
posedge
CORETSElo1
)
begin
if
(
CORETSEoo1
||
CORETSElo1
)
CORETSEO0l1
<=
#
CORETSEOII
1
'b
0
;
else
CORETSEO0l1
<=
#
CORETSEOII
CORETSEOoo0
;
end
always
@
(
posedge
CORETSEli0I
or
posedge
CORETSElo1
)
begin
if
(
CORETSEoo1
||
CORETSElo1
)
CORETSEiIl1
<=
#
CORETSEOII
1
'b
0
;
else
CORETSEiIl1
<=
#
CORETSEOII
CORETSEO0l1
;
end
always
@
(
posedge
CORETSEli0I
or
posedge
CORETSElo1
)
begin
if
(
CORETSEoo1
||
CORETSElo1
)
CORETSEI0l1
<=
#
CORETSEOII
1
'b
0
;
else
CORETSEI0l1
<=
#
CORETSEOII
CORETSEo1o0
;
end
always
@
(
posedge
CORETSEli0I
or
posedge
CORETSElo1
)
begin
if
(
CORETSEoo1
||
CORETSElo1
)
CORETSEoIl1
<=
#
CORETSEOII
1
'b
0
;
else
CORETSEoIl1
<=
#
CORETSEOII
CORETSEI0l1
;
end
always
@
(
posedge
CORETSEli0I
or
posedge
CORETSElo1
)
begin
if
(
CORETSEoo1
||
CORETSElo1
)
CORETSEl0l1
<=
#
CORETSEOII
1
'b
0
;
else
CORETSEl0l1
<=
#
CORETSEOII
CORETSEI1o0
;
end
always
@
(
posedge
CORETSEli0I
or
posedge
CORETSElo1
)
begin
if
(
CORETSEoo1
||
CORETSElo1
)
CORETSEIIl1
<=
#
CORETSEOII
1
'b
0
;
else
CORETSEIIl1
<=
#
CORETSEOII
CORETSEl0l1
;
end
always
@
(
posedge
CORETSEli0I
or
posedge
CORETSElo1
)
begin
if
(
CORETSEoo1
||
CORETSElo1
)
CORETSEo0l1
<=
#
CORETSEOII
1
'b
0
;
else
CORETSEo0l1
<=
#
CORETSEOII
CORETSEl1o0
;
end
always
@
(
posedge
CORETSEli0I
or
posedge
CORETSElo1
)
begin
if
(
CORETSEoo1
||
CORETSElo1
)
CORETSElIl1
<=
#
CORETSEOII
1
'b
0
;
else
CORETSElIl1
<=
#
CORETSEOII
CORETSEo0l1
;
end
always
@
(
posedge
CORETSEli0I
or
posedge
CORETSElo1
)
begin
if
(
CORETSEoo1
||
CORETSElo1
)
CORETSEi0l1
<=
#
CORETSEOII
1
'h
0
;
else
CORETSEi0l1
<=
#
CORETSEOII
CORETSEIOi0
;
end
always
@
(
posedge
CORETSEli0I
or
posedge
CORETSElo1
)
begin
if
(
CORETSEoo1
||
CORETSElo1
)
CORETSEiOl1
<=
#
CORETSEOII
1
'h
0
;
else
CORETSEiOl1
<=
#
CORETSEOII
CORETSEi0l1
;
end
always
@
(
posedge
CORETSEli0I
or
posedge
CORETSElo1
)
begin
if
(
CORETSEoo1
||
CORETSElo1
)
CORETSEO1l1
<=
#
CORETSEOII
1
'h
0
;
else
CORETSEO1l1
<=
#
CORETSEOII
CORETSElOi0
;
end
always
@
(
posedge
CORETSEli0I
or
posedge
CORETSElo1
)
begin
if
(
CORETSEoo1
||
CORETSElo1
)
CORETSEOIl1
<=
#
CORETSEOII
1
'h
0
;
else
CORETSEOIl1
<=
#
CORETSEOII
CORETSEO1l1
;
end
always
@
(
posedge
CORETSEli0I
or
posedge
CORETSElo1
)
begin
if
(
CORETSEoo1
||
CORETSElo1
)
CORETSEI1l1
<=
#
CORETSEOII
1
'h
0
;
else
CORETSEI1l1
<=
#
CORETSEOII
CORETSEOIol
;
end
always
@
(
posedge
CORETSEli0I
or
posedge
CORETSElo1
)
begin
if
(
CORETSEoo1
||
CORETSElo1
)
CORETSEIiI1
<=
#
CORETSEOII
1
'h
0
;
else
CORETSEIiI1
<=
#
CORETSEOII
CORETSEI1l1
;
end
always
@
(
posedge
CORETSEli0I
or
posedge
CORETSElo1
)
begin
if
(
CORETSEoo1
||
CORETSElo1
)
CORETSEl1l1
<=
#
CORETSEOII
1
'h
0
;
else
CORETSEl1l1
<=
#
CORETSEOII
CORETSEOIo0
;
end
always
@
(
posedge
CORETSEli0I
or
posedge
CORETSElo1
)
begin
if
(
CORETSEoo1
||
CORETSElo1
)
CORETSEoiI1
<=
#
CORETSEOII
1
'h
0
;
else
CORETSEoiI1
<=
#
CORETSEOII
CORETSEl1l1
;
end
always
@
(
posedge
CORETSEli0I
or
posedge
CORETSElo1
)
begin
if
(
CORETSEoo1
||
CORETSElo1
)
CORETSEo1l1
<=
#
CORETSEOII
1
'h
0
;
else
CORETSEo1l1
<=
#
CORETSEOII
CORETSEIOo0
;
end
always
@
(
posedge
CORETSEli0I
or
posedge
CORETSElo1
)
begin
if
(
CORETSEoo1
||
CORETSElo1
)
CORETSEliI1
<=
#
CORETSEOII
1
'h
0
;
else
CORETSEliI1
<=
#
CORETSEOII
CORETSEo1l1
;
end
always
@
(
posedge
CORETSEli0I
or
posedge
CORETSElo1
)
begin
if
(
CORETSEoo1
||
CORETSElo1
)
CORETSEi1l1
<=
#
CORETSEOII
1
'h
0
;
else
CORETSEi1l1
<=
#
CORETSEOII
CORETSEIIo0
;
end
always
@
(
posedge
CORETSEli0I
or
posedge
CORETSElo1
)
begin
if
(
CORETSEoo1
||
CORETSElo1
)
CORETSEiiI1
<=
#
CORETSEOII
1
'h
0
;
else
CORETSEiiI1
<=
#
CORETSEOII
CORETSEi1l1
;
end
always
@
(
posedge
CORETSEli0I
or
posedge
CORETSElo1
)
begin
if
(
CORETSEoo1
||
CORETSElo1
)
CORETSEOOl1
<=
#
CORETSEOII
1
'h
0
;
else
CORETSEOOl1
<=
#
CORETSEOII
CORETSEiiI1
;
end
endmodule
